name: Stale Check

on:
  schedule:
    - cron: '30 1 * * *'
  workflow_dispatch:

permissions:
  issues: write
  pull-requests: write

jobs:
  issues:
    name: Check issues
    runs-on: ubuntu-latest
    if: ${{ contains(github.repository, 'jellyfin/') }}
    steps:
      - uses: actions/stale@6f05e4244c9a0b2ed3401882b05d701dd0a7289b # v7.0.0
        with:
          repo-token: ${{ secrets.JF_BOT_TOKEN }}
          operations-per-run: 75
          days-before-stale: 120
          days-before-pr-stale: -1
          days-before-close: 21
          days-before-pr-close: -1
          exempt-issue-labels: regression,security,roadmap,future,feature,enhancement,confirmed
          stale-issue-label: stale
          stale-issue-message: |-
            This issue has gone 120 days without comment. To avoid abandoned issues, it will be closed in 21 days if there are no new comments.

            If you're the original submitter of this issue, please comment confirming if this issue still affects you in the latest release or master branch, or close the issue if it has been fixed. If you're another user also affected by this bug, please comment confirming so. Either action will remove the stale label.

            This bot exists to prevent issues from becoming stale and forgotten. Jellyfin is always moving forward, and bugs are often fixed as side effects of other changes. We therefore ask that bug report authors remain vigilant about their issues to ensure they are closed if fixed, or re-confirmed - perhaps with fresh logs or reproduction examples - regularly. If you have any questions you can reach us on [Matrix or Social Media](https://jellyfin.org/contact).

  prs-conflicts:
    name: Check PRs with merge conflicts
    runs-on: ubuntu-latest
    if: ${{ contains(github.repository, 'jellyfin/') }}
    steps:
      - uses: actions/stale@6f05e4244c9a0b2ed3401882b05d701dd0a7289b # v7.0.0
        with:
          repo-token: ${{ secrets.JF_BOT_TOKEN }}
          operations-per-run: 75
          # The merge conflict action will remove the label when updated
          remove-stale-when-updated: false
          days-before-stale: -1
          days-before-close: 90
          days-before-issue-close: -1
          stale-pr-label: merge conflict
          close-pr-message: |-
            This PR has been closed due to having unresolved merge conflicts.
